Show / Hide Table of Contents

# Struct ImFont

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFont

### Fields

| Improve this Doc View Source

#### Ascent

##### Declaration

    public float Ascent

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ConfigData

##### Declaration

    public ImFontConfig*ConfigData

##### Field Value

Type | Description
--- | ---
ImFontConfig* |

| Improve this Doc View Source

#### ConfigDataCount

##### Declaration

    public short ConfigDataCount

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### ContainerAtlas

##### Declaration

    public ImFontAtlas*ContainerAtlas

##### Field Value

Type | Description
--- | ---
ImFontAtlas* |

| Improve this Doc View Source

#### Descent

##### Declaration

    public float Descent

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DirtyLookupTables

##### Declaration

    public byte DirtyLookupTables

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### EllipsisChar

##### Declaration

    public ushort EllipsisChar

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### FallbackAdvanceX

##### Declaration

    public float FallbackAdvanceX

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FallbackChar

##### Declaration

    public ushort FallbackChar

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### FallbackGlyph

##### Declaration

    public ImFontGlyph*FallbackGlyph

##### Field Value

Type | Description
--- | ---
ImFontGlyph* |

| Improve this Doc View Source

#### FontSize

##### Declaration

    public float FontSize

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Glyphs

##### Declaration

    public ImVector Glyphs

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### IndexAdvanceX

##### Declaration

    public ImVector IndexAdvanceX

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### IndexLookup

##### Declaration

    public ImVector IndexLookup

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### MetricsTotalSurface

##### Declaration

    public int MetricsTotalSurface

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Scale

##### Declaration

    public float Scale

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Used4kPagesMap

##### Declaration

    public byte *Used4kPagesMap

##### Field Value

Type | Description
--- | ---
System.Byte* |